﻿using System.Xml.Serialization;

namespace NoteMan
{
    [XmlInclude(typeof(Todo))]
    [XmlInclude(typeof(Appointment))]
    [XmlInclude(typeof(Note))]
    public class Element
    {
        public string Title { get; set; }

        public string Text { get; set; }

        public Element()
        {
            Title = "unnamed";
            Text = "";
        }

        public Element(string title, string text)
        {
            Title = title;
            Text = text;
        }

        public void UpdateRecord(string title, string text)
        {
            Title = title;
            Text = text;
        }
    }
}
