﻿using System;

namespace NoteMan
{
    public class Todo : Element
    {
        public DateTime Deadline { get; set; }

        public Todo()
        {
            Deadline = new DateTime();
        }

        public Todo(string title, string text, DateTime deadline) : base(title, text)
        {
            Deadline = deadline;
        }

        public void UpdateRecord(string title, string text, DateTime deadline)
        {
            base.UpdateRecord(title, text);
            Deadline = deadline;
        }
    }
}
